Post by Evans » Tue Apr 29, 2014 3:18 am

Hi, I just tried reinstalling qvmod after upgrading to 1.5.6.4 - I get the qvmod install page fine showing fine, but in the backend of OC, when I try access the modules section of Admin I get the following errors:

Code: Select all

Error: Could not load language module/cart! in /home/xxxxx/public_html/vqmod/vqcache/vq2-system_library_language.php on line 39
 Error: Could not load language module/currency! in /home/xxxxx/public_html/vqmod/vqcache/vq2-system_library_language.php on line 39
  Error: Could not load language module/language! in /home/xxxx/public_html/vqmod/vqcache/vq2-system_library_language.php on line 39
language files for cart, currency and language are not missing anywhere in OC. Also, these weren't in vqcache before ( I just deleted then reuploaded the qvmod folder I had before the upgrade). I also now seem to have two Carousel, Category and Information modules when I haven't created any!

Could anyone help please with this. I've no clue how to fix this and have searched on the web but not found any solution.

New member

Posts

Joined
Sat Jun 19, 2010 4:14 am

Post by MarketInSG » Tue Apr 29, 2014 1:21 pm

admin > language > english > module, are the files still there?
I try access the modules section of Admin I get the following errors:
Anyway, I can't remember there's a cart module in the admin section? Or even language or currency. Are you making any mistakes somewhere?


User avatar
Guru Member

Posts

Joined
Wed Nov 16, 2011 11:53 am
Location - Singapore

Post by uNeverNo » Tue Apr 29, 2014 1:50 pm

It could be caused by duplciated xml files that apply identical modification. Or one of your xml files is wrongly written and modifies your site in a wrong way. Try disabling the xml files one by one and see if it works.

If you are not able to fix the problem, I can help.

Create a demo account with only Access permissions to all pages of your admin panel (no modify permissions needed) and send the url of your admin panel, demo account name and password combination to my email: uneverno1986#gmail.com(replace # with @). I can take a look for you for free.

PS: Sending me the following files will help me to find out what's causing the problem much easier:
(1)zip your vQmod cache files as zipped file
(2)the vQmod error log file

Post in the forum yet no one's willing to help? Contact me for free opencart coding or configuration assistance. Reach me at uneverno1986#gmail.com(replace # with @). But no free extension development request. Sorry about that :( It could take a few days to make a complicated mod.

If you feel I have helped, a donation is optional and appreciated. Image


User avatar
Active Member

Posts

Joined
Sun Sep 23, 2012 10:49 am

Post by Evans » Tue Apr 29, 2014 2:47 pm

Hi uNeverNo, thanks very much for your suggestions. I did check before that all the language files were still there and there are no extra xml files in qvmod. This is how it should be because when applying the upgrade patch the only files I did not overwrite were the catalog/english .php files as I have modified the text in a few of those to meet what I need for the store. My config.php files were also not overwritten, nor my .htaccess, all of which worked fine before. I uploaded everything else in the OC upgrade version (except install folder because I manually uploaded folders via ftp so as not to overwrite catalog language files). All permissions are the same as before too.

I uninstalled qvmod then did a fresh reinstall, then added my mods again (mods appear to be working, I only have two, one for grid layout and one for captcha).There are no duplicate files,and no error log files.

I also considered if it was because my admin name was changed before the upgrade - but it shouldn't have affected it because both config files weren't overwritten. I did have to change it though in the index.php in qvmod. I can't think of anywhere else it would need changing.

It's really puzzling because no language files are missing from OC. I've checked and double checked. I've even checked a comparison of files present in Winmerge. I'm thinking it must be an issue somewhere else,but just don't know where.

New member

Posts

Joined
Sat Jun 19, 2010 4:14 am

Post by Evans » Tue Apr 29, 2014 4:28 pm

Ok, so I thought I'd try to reinstall the upgrade. I followed to the letter the instructions in .txt except for uploading the images folder in the new version. I also didn't install qvmod, and used the uprade version language .php files, not the ones I had modified before. So everything is newly uploaded except the config.php files as instructed in the upgrade, and my .htaccess files. I got the install page showing successfully, did all the refreshes etc. Now I'm seeing the following errors when I access the Module section of the site:

Code: Select all

  Error: Could not load language module/cart! in /home/xxxx/public_html/system/library/language.php on line 39
 Error: Could not load language module/currency! in /home/xxxx/public_html/system/library/language.php on line 39
 Error: Could not load language module/language! in /home/xxxx/public_html/system/library/language.php on line 39
Really scratching my head here...it's definately not a missing language file as all the files in the upgrade 1.5.6.4 were uploaded, and I visually checked cart, currency and language .php files are there.

New member

Posts

Joined
Sat Jun 19, 2010 4:14 am

Post by uNeverNo » Wed Apr 30, 2014 1:25 am

These errors could be caused by these lines of code:

Code: Select all

$this->language->load('module/cart');
$this->language->load('module/currency');
$this->language->load('module/language');
Check your admin\controller\extension\module.php file and if you code is the same as my version (which is code of oc1.5.6.1):

Code: Select all

		$this->load->model('setting/extension');

		$extensions = $this->model_setting_extension->getInstalled('module');

		foreach ($extensions as $key => $value) {
			if (!file_exists(DIR_APPLICATION . 'controller/module/' . $value . '.php')) {
				$this->model_setting_extension->uninstall('module', $value);

				unset($extensions[$key]);
			}
		}

		$this->data['extensions'] = array();

		$files = glob(DIR_APPLICATION . 'controller/module/*.php');

		if ($files) {
			foreach ($files as $file) {
				$extension = basename($file, '.php');

				$this->language->load('module/' . $extension);
The code checks the database and finds out which extensions are recorded as "being installed" in the database, then unintalls modules, whose files actually do not exist. Then it checks the files of which modules exist and does a

Code: Select all

$this->language->load(module/name_of_a_exsiting_module)
for them.

I wonder if this is a bug of oc 1.5.6.4.

Post in the forum yet no one's willing to help? Contact me for free opencart coding or configuration assistance. Reach me at uneverno1986#gmail.com(replace # with @). But no free extension development request. Sorry about that :( It could take a few days to make a complicated mod.

If you feel I have helped, a donation is optional and appreciated. Image


User avatar
Active Member

Posts

Joined
Sun Sep 23, 2012 10:49 am

Post by Evans » Wed Apr 30, 2014 4:11 am

Hi, uNeverNo, thanks ever so much for taking a look at this:) I compared the admin\controller\extension\module.php file in with the 1.5.6.1 one I had installed before (same as yours) and they are identical. I couldn't see any code like the first 3 lines you wrote:

$this->language->load('module/cart');
$this->language->load('module/currency');
$this->language->load('module/language');

- where might they be found?

I'm thinking more and more that it is a bug......

New member

Posts

Joined
Sat Jun 19, 2010 4:14 am

Post by pprmkr » Wed Apr 30, 2014 5:12 pm

It's not controller/extension/module.php with an error.

Check your admin/controller/module folder.
I think you'll find files: cart.php, currency.php and language.php

They do not belong there!

Compare folder and file structure with downloaded Opencart archive.

User avatar
Active Member

Posts

Joined
Sat Jan 08, 2011 11:05 pm
Location - Netherlands

Post by meistralf » Thu Apr 02, 2015 10:49 am

me also have this problem. can u help me?
it show when i checkout at the shipping part.

Notice: Error: Could not load language shipping/quantity! in /home/shopping/public_html/vqmod/vqcache/vq2-system_library_language.php on line 39

Newbie

Posts

Joined
Tue Mar 24, 2015 4:07 pm

Post by dashisiong » Thu Sep 22, 2016 4:07 am

Anyone have solution for this issue? I also having this error!

Thanks

Newbie

Posts

Joined
Thu Sep 25, 2014 5:08 am
Who is online

Users browsing this forum: No registered users and 5 guests